POST api/NTCriticalIncidentReport/PostIncidentCriticalReportEncounter
Request Information
URI Parameters
None.
Body Parameters
IncidentCriticalReportEncounterDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| EncounterId | integer |
None. |
|
| CaseNo | integer |
None. |
|
| Assessment | string |
String length: inclusive between 0 and 8000 |
|
| Recommendation | string |
String length: inclusive between 0 and 4000 |
|
| Sequence | integer |
None. |
|
| TimeCallReceived | time interval |
None. |
|
| TimeOnScene | time interval |
None. |
|
| TotalTimeOnScene | time interval |
None. |
|
| TimeTransported | time interval |
None. |
|
| TimeUnitClear | time interval |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"EncounterId": 1,
"CaseNo": 2,
"Assessment": "sample string 3",
"Recommendation": "sample string 4",
"Sequence": 5,
"TimeCallReceived": "00:00:00.1234567",
"TimeOnScene": "00:00:00.1234567",
"TotalTimeOnScene": "00:00:00.1234567",
"TimeTransported": "00:00:00.1234567",
"TimeUnitClear": "00:00:00.1234567",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:31:00.2982453-07:00",
"DateUpdated": "2026-08-04T14:31:00.2982453-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfIncidentCriticalReportEncounterDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | IncidentCriticalReportEncounterDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"EncounterId": 1,
"CaseNo": 2,
"Assessment": "sample string 3",
"Recommendation": "sample string 4",
"Sequence": 5,
"TimeCallReceived": "00:00:00.1234567",
"TimeOnScene": "00:00:00.1234567",
"TotalTimeOnScene": "00:00:00.1234567",
"TimeTransported": "00:00:00.1234567",
"TimeUnitClear": "00:00:00.1234567",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:31:00.2982453-07:00",
"DateUpdated": "2026-08-04T14:31:00.2982453-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
"totalCount": 3
}